MockObjectTestCase
Date: 2015-09-15

org.jmock.cglib

## Class MockObjectTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.jmock.core.VerifyingTestCase
      - - org.jmock.core.MockObjectSupportTestCase
        - - org.jmock.MockObjectTestCase
          - - org.jmock.cglib.MockObjectTestCase

- All Implemented Interfaces:
    junit.framework.Test

      public abstract class MockObjectTestCase
      extends MockObjectTestCase

- - ### Field Summary

    - ### Fields inherited from class org.jmock.core.MockObjectSupportTestCase

      `ANYTHING, NOT_NULL, NULL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MockObjectTestCase()`
    `protected` | `MockObjectTestCase(java.lang.String testName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mock` | `mock(java.lang.Class mockedClass, java.lang.Class[] constructorArgumentTypes, java.lang.Object[] constructorArguments)`
    `Mock` | `mock(java.lang.Class mockedClass, java.lang.String roleName, java.lang.Class[] constructorArgumentTypes, java.lang.Object[] constructorArguments)`
    `protected DynamicMock` | `newCoreMock(java.lang.Class mockedType, java.lang.String roleName)`
    `protected DynamicMock` | `newCoreMock(java.lang.Class mockedClass, java.lang.String roleName, java.lang.Class[] constructorArgumentTypes, java.lang.Object[] constructorArguments)`

    - ### Methods inherited from class org.jmock.MockObjectTestCase

      `atLeastOnce, atMostOnce, defaultMockNameForType, doAll, doAll, doAll, doAll, exactly, mock, mock, never, never, newDummy, newDummy, newDummy, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnIterator, returnIterator, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

    - ### Methods inherited from class org.jmock.core.MockObjectSupportTestCase

      `and, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, collectionContaining, collectionContaining, compatibleType, contains, endsWith, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, hasProperty, hasProperty, isA, isIn, isIn, mapContaining, mapContaining, mapWithKey, mapWithKey, mapWithValue, mapWithValue, not, or, same, startsWith, stringContains, toString`

    - ### Methods inherited from class org.jmock.core.VerifyingTestCase

      `registerToVerify, runBare, unregisterToVerify, verify`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MockObjectTestCase

          protected MockObjectTestCase(java.lang.String testName)

    - #### MockObjectTestCase

          protected MockObjectTestCase()

  - ### Method Detail

    - #### mock

          public Mock mock(java.lang.Class mockedClass,
                  java.lang.String roleName,
                  java.lang.Class[] constructorArgumentTypes,
                  java.lang.Object[] constructorArguments)

    - #### mock

          public Mock mock(java.lang.Class mockedClass,
                  java.lang.Class[] constructorArgumentTypes,
                  java.lang.Object[] constructorArguments)

    - #### newCoreMock

          protected DynamicMock newCoreMock(java.lang.Class mockedType,
                                java.lang.String roleName)

      Overrides:
        `newCoreMock` in class `MockObjectTestCase`

    - #### newCoreMock

          protected DynamicMock newCoreMock(java.lang.Class mockedClass,
                                java.lang.String roleName,
                                java.lang.Class[] constructorArgumentTypes,
                                java.lang.Object[] constructorArguments)